XScreenSaver(1)

NAME
xflame - draws animated flames

SYNOPSIS
xflame [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-foreground color] [-hspread int] [-vspread int] [-residual int] [-variance int] [-vartrend int] [-bloom -no-bloom] [-bitmap xbm-file] [-baseline int]

DESCRIPTION
The xflame program draws animated flames across the bottom of the screen. The flames occasionally flare up. If a bitmap is specified, that image will float above the flames, burning.

OPTIONS
xflame accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-foreground color or -fg color
    The color of the flames; default red. (The background color is always black.)

-bitmap filename
    Specifies the bitmap file to use (a monochrome XBM file.) The name "none" means not to use a bitmap at all. If unspecified, a built-in image will be used.

The other options are arcane. If someone would care to document them, that would be great.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1996-1999 by Carsten Haitzler. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Primarily written by Carsten Haitzler <raster@redhat.com>. Modified over the years by Rahul Jain <rahul@rice.edu>, Daniel Zahn <stumpy@religions.com>, and Jamie Zawinski <jwz@jwz.org>.